SDL_WaitSemaphoreTimeout(3)

NAME
SDL_WaitSemaphoreTimeout - Wait until a semaphore has a positive value and then decrements it.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

bool SDL_WaitSemaphoreTimeout(SDL_Semaphore *sem, Sint32 timeoutMS);

DESCRIPTION
This function suspends the calling thread until either the semaphore pointed to by sem has a positive value or the specified time has elapsed. If the call is successful it will atomically decrement the semaphore value.

FUNCTION PARAMETERS

sem the semaphore to wait on.

timeoutMS
    the length of the timeout, in milliseconds, or -1 to wait indefinitely.

RETURN VALUE
Returns true if the wait succeeds or false if the wait times out.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SignalSemaphore(3), SDL_TryWaitSemaphore(3), SDL_WaitSemaphore(3)